<?php

namespace app\ic;

use engine\http\errors\NotFound;
use engine\http\HtmlResponse;
use engine\http\HTTPCode;

class MainHandler
    extends BaseHandler
{
    protected function beforeDispatch(string $http_method, string $action) {
        if (!isAdmin() && $action != 'index')
            throw new NotFound();
    }

    public function GET_index() {
        if (!isAdmin())
            return new HtmlResponse($this->skin->render('soon.twig'), code: HTTPCode::NotFound);

        $this->skin->meta->title = lang('meta_index_title');
        $this->skin->meta->description = lang('meta_index_description');
        $this->skin->meta->url = 'https://'.$_SERVER['HTTP_HOST'].'/';
        // $this->skin->meta->image = 'https://'.$config['domain'].'/img/4in1-preview.jpg';
        $this->skin->meta->setSocial('og:type', 'website');

        $this->skin->options->isIndex = true;

        return $this->skin->renderPage('index.twig');
    }
}